Bug 817651 - [as7] Document path behavior
[as7] Document path behavior
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: as7-plugin jon310-sprint11/rhq44-sprint11 820425
  Show dependency treegraph
 
Reported: 2012-04-30 14:25 EDT by Heiko W. Rupp
Modified: 2013-09-01 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:18:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-30 14:25:09 EDT
The path elements as config parts of e.g. a standalone server have entries that are computed by the server and are in fact read/only. They have the "read-only" checkbox set. See also Bug 817540

Due to limitations in the UI, they are still shown as editable and deletable, but in fact both will not work. If the user deletes them and stores the config, they will re-appear.

Path that are r/o 
start with

java.
jboss.
user.


The read-only checkbox is "write-once" meaning that if a user adds a new path entry and sets this checkbox to true or false, it will stick and become immutable. To change it, the path entry needs to be deleted and re-added
Comment 1 Heiko W. Rupp 2012-05-03 06:45:03 EDT
Situation is different (unfortunately):

If the user tries to delete an entry that has the read-only checkbox checked, 
we have no way of finding this out(*) and pass the removal to as7 which then 
throws an error. This means, the user must not try to edit or remove those 
entries.

*) We can not prevent removal at all, at the user may try to remove one of the 
entries he has added previously and this is allowed.


See also Bug 818549 and Bug 818546
Comment 2 Mike Foley 2012-05-08 14:11:22 EDT
per BZ triage crouch, foley, loleary
Comment 4 Heiko W. Rupp 2013-09-01 15:18:53 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.